com.sun.jna.platform.win32

## Class WinDef.HCURSOR

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.WinNT.HANDLE
    - - com.sun.jna.platform.win32.WinDef.HICON
      - - com.sun.jna.platform.win32.WinDef.HCURSOR

- All Implemented Interfaces:
    NativeMapped
  Enclosing interface:
    WinDef

      public static class WinDef.HCURSOR
      extends WinDef.HICON

  Handle to a cursor.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HCURSOR()` Instantiates a new hcursor.
    `HCURSOR(Pointer p)` Instantiates a new hcursor.

  - ### Method Summary

    - ### Methods inherited from class com.sun.jna.platform.win32.WinNT.HANDLE

      `fromNative, setPointer, toString`

    - ### Methods inherited from class com.sun.jna.PointerType

      `equals, getPointer, hashCode, nativeType, toNative`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HCURSOR

          public HCURSOR()

      Instantiates a new hcursor.

    - #### HCURSOR

          public HCURSOR(Pointer p)

      Instantiates a new hcursor.
      Parameters:
        `p` - the p

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.